=== added directory 'document_page_comments'
=== added file 'document_page_comments/__init__.py'
--- document_page_comments/__init__.py	1970-01-01 00:00:00 +0000
+++ document_page_comments/__init__.py	2013-05-29 18:33:26 +0000
@@ -0,0 +1,1 @@
+import model

=== added file 'document_page_comments/__openerp__.py'
--- document_page_comments/__openerp__.py	1970-01-01 00:00:00 +0000
+++ document_page_comments/__openerp__.py	2013-05-29 18:33:26 +0000
@@ -0,0 +1,49 @@
+# -*- encoding: utf-8 -*-
+##############################################################################
+#
+#    OpenERP, Open Source Management Solution    
+#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
+#    d$
+###############Credits######################################################
+#    Coded by: Vauxoo C.A. (Yanina Aular & Miguel Delgado)          
+#    Planified by: Rafael Silva
+#    Audited by: Vauxoo C.A.
+##############################################################################
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+
+{
+    "name" : "Document Page Comments",
+    "version" : "0.1",
+    "depends" : [
+                 "base",
+                 "document_page",
+                 ],
+    "author" : "Vauxoo",
+    "description" : """
+                    """,
+    "website" : "http://vauxoo.com",
+    "category" : "Generic Modules",
+    "init_xml" : [
+    ],
+    "demo_xml" : [
+    ],
+    "update_xml" : [
+    'view/document_page_view.xml',
+    ],
+    "active": False,
+    "images": [],
+    "installable": True,
+}

=== added directory 'document_page_comments/data'
=== added directory 'document_page_comments/demo'
=== added directory 'document_page_comments/i18n'
=== added directory 'document_page_comments/model'
=== added file 'document_page_comments/model/__init__.py'
--- document_page_comments/model/__init__.py	1970-01-01 00:00:00 +0000
+++ document_page_comments/model/__init__.py	2013-05-29 18:33:26 +0000
@@ -0,0 +1,1 @@
+import document

=== added file 'document_page_comments/model/document.py'
--- document_page_comments/model/document.py	1970-01-01 00:00:00 +0000
+++ document_page_comments/model/document.py	2013-05-29 18:33:26 +0000
@@ -0,0 +1,72 @@
+# -*- encoding: utf-8 -*-
+###########################################################################
+#    Module Writen to OpenERP, Open Source Management Solution
+#
+#    Copyright (c) 2011 Vauxoo - http://www.vauxoo.com/
+#    All Rights Reserved.
+#    info Vauxoo (info@vauxoo.com)
+############################################################################
+#    Coded by: Juan Carlos Hernandez Funes (info@vauxoo.com)
+#    Planned by: Moises Augusto Lopez Calderon (info@vauxoo.com)
+############################################################################
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU Affero General Public License as
+#    published by the Free Software Foundation, either version 3 of the
+#    License, or (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU Affero General Public License for more details.
+#
+#    You should have received a copy of the GNU Affero General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+##############################################################################
+from openerp.osv import osv, fields
+from openerp.tools.translate import _
+
+
+class document_page(osv.Model):
+
+    _name = 'document.page'
+
+    _inherit = ['document.page','mail.thread', 'ir.needaction_mixin']
+
+    def write(self, cr, uid, ids, vals, context=None):
+        document_browse = self.browse(cr, uid, ids and type(ids) is list and \
+                                      ids[0] or ids, context=context)
+        
+        result = super(document_page, self).write(cr, uid, ids, vals, context)
+        if context.get('stop'):
+            return result
+        context.update({'default_body':_(u'The document %s has been modified' %
+                                         document_browse.name  ),
+                        'default_parent_id': False,
+                        'mail_post_autofollow_partner_ids': [],
+                        'default_attachment_ids': [],
+                        'mail_post_autofollow': True,
+                        'default_composition_mode': 'comment',
+                        'default_partner_ids': [],
+                        'default_model': 'document.page',
+                        'active_model': 'document.page',
+                        'default_res_id': ids and type(ids) is list and \
+                                          ids[0] or ids,
+                        'active_id': ids and type(ids) is list and \
+                                          ids[0] or ids,
+                        'active_ids': ids and type(ids) is list and \
+                                          ids or [ids],
+                        'stop':True,
+                        })
+
+        self.create_history(cr, uid, ids, vals, context)
+        mail_obj = self.pool.get('mail.compose.message')
+        fields = mail_obj.fields_get(cr, uid)
+        mail_dict = mail_obj.default_get(cr, uid,fields.keys() , context)
+        mail_ids = mail_obj.create(cr, uid, mail_dict, context=context)
+        mail_obj.send_mail(cr, uid, [mail_ids], context=context)
+        
+        
+        return result
+

=== added directory 'document_page_comments/report'
=== added directory 'document_page_comments/security'
=== added directory 'document_page_comments/view'
=== added file 'document_page_comments/view/document_page_view.xml'
--- document_page_comments/view/document_page_view.xml	1970-01-01 00:00:00 +0000
+++ document_page_comments/view/document_page_view.xml	2013-05-29 18:33:26 +0000
@@ -0,0 +1,18 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<openerp>
+  <data>
+    <record model="ir.ui.view" id="inherit_document_page_form_view_messages">
+      <field name="name">inherit.document.page.form.view.messages</field>
+      <field name="model">document.page</field>
+      <field name="inherit_id" ref="document_page.view_wiki_form"/>
+      <field name="arch" type="xml">
+        <xpath expr="//div[last()]" position="after">
+           <div class="oe_chatter">
+                    <field name="message_follower_ids" widget="mail_followers" groups="base.group_user"/>
+                    <field name="message_ids" widget="mail_thread"/>
+            </div>
+        </xpath>
+      </field>
+    </record>
+  </data>
+</openerp>

=== added directory 'document_page_comments/wizard'
